Xalan-Java 2.7.1: Class ObjectType

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.xalan.xsltc.compiler.util
Class ObjectType

    java.lang.Object
      |
      +--org.apache.xalan.xsltc.compiler.util.Type
            |
            +--org.apache.xalan.xsltc.compiler.util.ObjectType

public final class ObjectType
extends Type

Fields inherited from class org.apache.xalan.xsltc.compiler.util.Type
`Attribute, Boolean, Comment, Element, Int, Node, NodeSet, Object, Processing_Instruction, Real, Reference, ResultTree, Root, String, Text, Void`

Method Summary
`boolean` | `equals(java.lang.Object obj)`
`java.lang.Class` | `getJavaClass()`
`java.lang.String` | `getJavaClassName()`
`int` | `hashCode()` Must return the same value for all ObjectType instances.
`boolean` | `identicalTo(Type other)`
`org.apache.bcel.generic.Instruction` | `LOAD(int slot)`
`org.apache.bcel.generic.Instruction` | `STORE(int slot)`
`org.apache.bcel.generic.Type` | `toJCType()`
`java.lang.String` | `toSignature()`
`java.lang.String` | `toString()`
`void` | `translateFrom(ClassGenerator classGen, MethodGenerator methodGen, java.lang.Class clazz)` Translates an external Java type into an Object type
`void` | `translateTo(ClassGenerator classGen, MethodGenerator methodGen, java.lang.Class clazz)` Translates an object of this type to the external (Java) type denoted by `clazz`.
`void` | `translateTo(ClassGenerator classGen, MethodGenerator methodGen, StringType type)` Expects an integer on the stack and pushes its string value by calling `Integer.toString(int i)`.
`void` | `translateTo(ClassGenerator classGen, MethodGenerator methodGen, Type type)` Translates a void into an object of internal type `type`.

Methods inherited from class org.apache.xalan.xsltc.compiler.util.Type
`ADD, CMP, distanceTo, DIV, DUP, GE, getClassName, GT, implementedAsMethod, isNumber, isSimple, LE, LT, MUL, NEG, newObjectType, newObjectType, POP, REM, SUB, translateBox, translateToDesynthesized, translateToDesynthesized, translateUnBox`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, wait, wait, wait`

Method Detail

### hashCode

    public int hashCode()

  Must return the same value for all ObjectType instances. This is needed in CastExpr to ensure the mapping table is used correctly.
  Overrides:
    hashCode in class java.lang.Object

### equals

    public boolean equals(java.lang.Object obj)

  Overrides:
    equals in class java.lang.Object

### getJavaClassName

    public java.lang.String getJavaClassName()

### getJavaClass

    public java.lang.Class getJavaClass()

### toString

    public java.lang.String toString()

  Overrides:
    toString in class Type

### identicalTo

    public boolean identicalTo(Type other)

  Overrides:
    identicalTo in class Type

### toSignature

    public java.lang.String toSignature()

  Overrides:
    toSignature in class Type

### toJCType

    public org.apache.bcel.generic.Type toJCType()

  Overrides:
    toJCType in class Type

### translateTo

    public void translateTo(ClassGenerator classGen,
                            MethodGenerator methodGen,
                            Type type)

  Translates a void into an object of internal type `type`. This translation is needed when calling external functions that return void.
  Overrides:
    translateTo in class Type
  See Also:
    `Type.translateTo(org.apache.xalan.xsltc.compiler.util.ClassGenerator, org.apache.xalan.xsltc.compiler.util.MethodGenerator, org.apache.xalan.xsltc.compiler.util.Type)`

### translateTo

    public void translateTo(ClassGenerator classGen,
                            MethodGenerator methodGen,
                            StringType type)

  Expects an integer on the stack and pushes its string value by calling `Integer.toString(int i)`.
  See Also:
    `Type.translateTo(org.apache.xalan.xsltc.compiler.util.ClassGenerator, org.apache.xalan.xsltc.compiler.util.MethodGenerator, org.apache.xalan.xsltc.compiler.util.Type)`

### translateTo

    public void translateTo(ClassGenerator classGen,
                            MethodGenerator methodGen,
                            java.lang.Class clazz)

  Translates an object of this type to the external (Java) type denoted by `clazz`. This method is used to translate parameters when external functions are called.
  Overrides:
    translateTo in class Type

### translateFrom

    public void translateFrom(ClassGenerator classGen,
                              MethodGenerator methodGen,
                              java.lang.Class clazz)

  Translates an external Java type into an Object type
  Overrides:
    translateFrom in class Type

### LOAD

    public org.apache.bcel.generic.Instruction LOAD(int slot)

  Overrides:
    LOAD in class Type

### STORE

    public org.apache.bcel.generic.Instruction STORE(int slot)

  Overrides:
    STORE in class Type

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2006 Apache XML Project. All Rights Reserved.